阿里云
服务器地域选择
发表主题 回复主题
  • 10381阅读
  • 1回复

[安全漏洞公告专区]【漏洞公告】CVE-2017-9791:Struts(S2-048)远程命令执行漏洞

级别: 论坛版主
发帖
174
云币
323
2017年7月7日,Apache Struts发布最新的安全公告,漏洞编号为S2-048,该漏洞存在Struts2和Struts1一个Showcase插件Action Message类中,通过构建不可信的输入实现远程命令攻击,存在安全风险 mndUQN_Gb  
具体详情如下:                                                                                                      
漏洞编号: `B`/8Cvg  
CVE-2017-9791 GM/3*S$c  
漏洞名称: }}GBCXAf_  
Struts(S2-048)远程命令执行漏洞 S*H :/Ip  
官方评级: !n`ogzOh  
高危 1m/=MET]  
漏洞描述: o3;u*f0rWn  
Showcase插件ActionMessage类中,通过构建不可信的输入实现远程命令攻击,存在安全风险。 GXEOgf#i  
漏洞利用条件和方式: i*9l  
远程利用 r: _- Cj  
漏洞影响范围: ?-FSDNQ  
Struts 2.3.x系列中的Showcase插件 ;z9(  
漏洞检测: zS:89y<  
Struts框架版本 "9[K  
漏洞修复建议(或缓解措施): Bc4{$sc"O  
  • 根据业务情况,禁用关闭(删除) \struts-2.3.x\apps\struts2-showcase.war包
  • 建议升级到最新版本2.5.10.1
  • 阿里云盾态势感知已经支持检测
  • 阿里云云盾WAF默认支持防御,可以选用WAF防护
情报来源: ta+'*@V +G  
  • Apache Sturts官方安全公告:HTTPS://cwiki.apache.org/confluence/display/WW/S2-048
{-rK:*yP'u  
[@}{sH(#Ta  
h(;qnV'c  
pGi "*oZD  
&DX9m4,y  
vf@d (g  
[ 此帖被正禾在2017-07-08 00:25重新编辑 ]
级别: 新人
发帖
1
云币
1
只看该作者 沙发  发表于: 07-07
Re【漏洞公告】CVE-2017-9791StrutsS2-048远程命令执行漏洞
showcase插件 如何关闭?
发表主题 回复主题
« 返回列表上一主题下一主题

限100 字节
如果您在写长篇帖子又不马上发表,建议存为草稿
 
验证问题: ECS是阿里云提供的什么服务? 正确答案:云服务器
上一个 下一个